Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour
Resolution: Duplicate Affected version:  

Description

Based on the examples here. http://rpc.textpattern.com/help/?item=attributes

If I try and do the following examples, then it does not apply the style

 %{color:red}red%

 p{color:#ddd}. A Paragraph

Related issues:

Is duplicate of Redmine - Feature #2416: {background:color} doesn't work in t... Closed 2008-12-30

History

#1 - 2010-03-21 17:43 - Jason Trahan

It also does not work for tables either. Examples found here.

http://rpc.textpattern.com/help/?item=table

#2 - 2010-03-22 11:44 - Henrik Ammer

A lot has happend to RedCloth (the Ruby Textile parser) since 3.0.4 which is the version packaged with Redmine. The current stable release is 4.2.2

and that version can take care of the examples you mentioned.

I've used Textpattern in the past and the PHP version of Textile is (or was?) far superior to the Ruby version much to Alex Shiels work on it.

#3 - 2010-03-22 16:22 - Jason Trahan

Per the Changelog. It appears they blocked RedCloth4 in 0.8.0-rc1 and it's been version 3 since. It would be really nice to be able to utilize all of the

wiki tags that RC4 offers.

#4 - 2010-03-29 08:53 - Claus Nagel

Just updated from Redmine 0.7.3 to the latest version and many of my Wiki sites are broken. The textile style tags were obviously supported in 0.7.3,

but are no longer available in 0.9.3. Is there a quick fix available? Which is the latest stable that supported the textile style tags?

#5 - 2010-03-29 21:09 - Mischa The Evil

- Category deleted (Wiki)

- Status changed from New to Closed

- Resolution set to Duplicate

See #2416. Closing this issue as a duplicate as so.

Edited at 21:36: added a FAQ-item about this issue.
